## smb4k 3.1.90

=== CMakeLists.txt ===

# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
#
# Project
#
project(smb4k)

#
# Version
#
set(VERSION_MAJOR 3)
set(VERSION_MINOR 1)
set(VERSION_PATCH 90)

set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

#
# Minimum required CMake version
#
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# CMake policies
#
cmake_policy(SET CMP0037 NEW)

if (POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

#
# Minimum required versions of Qt5 and KF5
#
# set(QT_MIN_VERSION "5.15.2")
# set(KF5_MIN_VERSION "5.98.0")

set(QT_MIN_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.80.0")

#
# Options for building Smb4K
#
# Install plasmoid
option(SMB4K_INSTALL_PLASMOID "Install the plasmoid" ON)

# Build with KDSoap WS Discovery client
option(SMB4K_WITH_WS_DISCOVERY "Build with WS-Discovery support for browsing" OFF)

# Compile definitions
# Error out when deprecated functions (in Qt <= 5.15.0) are encountered
add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x050F00)

#
# Required packages and includes
#
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(CheckSymbolExists)
include(KDEClangFormat)

#
# Version
# 
ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)

#
# Source code formatting
# 
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

# Qt5 modules
find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Gui ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Qml ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)

# KF5 modules
find_package(KF5Auth ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DNSSD ${KF5_MIN_VERSION} REQUIRED)

# Install the plasmoid if desired
if (SMB4K_INSTALL_PLASMOID)
  find_package(KF5Plasma ${KF5_MIN_VERSION})
  set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
endif()

# Find libsmbclient.h
find_package(Libsmbclient REQUIRED MODULE)

# Check that the required smbc_* functions are provided
set(CMAKE_REQUIRED_LIBRARIES ${LIBSMBCLIENT_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${LIBSMBCLIENT_INCLUDE_DIRS})
check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)

if (NOT HAVE_SMBC_PROTOCOL)
  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
endif()

# Find KDSoap client
if (SMB4K_WITH_WS_DISCOVERY)
    message(STATUS "Building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=OFF to disable)")
    find_package(KDSoap 1.9.0 REQUIRED)
    find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
elseif(NOT SMB4K_WITH_WS_DISCOVERY)
    message(STATUS "Not building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=ON to enable)")
endif(SMB4K_WITH_WS_DISCOVERY)

#
# Make sure that Smb4K builds when several custom targets
# with the same name exist (happens in the po directory).
#
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)

#
# Make sure that all libraries, plugins, etc. are installed
# into the right place.
#
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Use Qt system paths for installation" FORCE)

#
# Add subdirectories
#
add_subdirectory(core)
add_subdirectory(helpers)
add_subdirectory(smb4k)
add_subdirectory(data)
add_subdirectory(doc)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ki18n_install(po)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif(KF5DocTools_FOUND)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

#
# Make adjustments according to the options set by the user
#
# Plasmoid: Notify the user and add the subdirectory if desired
if (SMB4K_INSTALL_PLASMOID)
  message(STATUS "Installing plasmoid (-DSMB4K_INSTALL_PLASMOID=OFF to disable)")
  add_subdirectory(plasmoid)
elseif(NOT SMB4K_INSTALL_PLASMOID)
  message(STATUS "Not installing plasmoid (-DSMB4K_INSTALL_PLASMOID=ON to enable)")
endif(SMB4K_INSTALL_PLASMOID)

########### install files ###############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
#
# KDSoap WS Discovery client uses 'signals' and 'slots'
# 
remove_definitions(
  -DQT_NO_KEYWORDS)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${LIBSMBCLIENT_INCLUDE_DIRS})

set(smb4kcore_LIB_SRCS
  smb4kauthinfo.cpp
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kbookmarkhandler_p.cpp
  smb4kclient.cpp
  smb4kclient_p.cpp
  smb4kcustomoptions.cpp
  smb4kcustomoptionsmanager.cpp
  smb4kcustomoptionsmanager_p.cpp
  smb4kfile.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khardwareinterface.cpp
  smb4khardwareinterface_p.cpp
  smb4khomesshareshandler.cpp
  smb4khomesshareshandler_p.cpp
  smb4khost.cpp
  smb4kmounter.cpp 
  smb4kmounter_p.cpp
  smb4knotification.cpp
  smb4kprofilemanager.cpp
  smb4kprofilemanager_p.cpp
  smb4kshare.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kwalletmanager.cpp
  smb4kwalletmanager_p.cpp
  smb4kworkgroup.cpp)

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc 
  smb4kmountsettings_linux.kcfgc)
elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD" OR
       ${CMAKE_HOST_SYSTEM_NAME} MATCHES "DragonFly")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc 
  smb4kmountsettings_bsd.kcfgc)
else ()
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS 
  smb4ksettings.kcfgc)
endif ()

add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})

target_link_libraries(smb4kcore
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  Qt5::PrintSupport
  Qt5::Network
  Qt5::Qml
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::AuthCore
  KF5::IconThemes
  KF5::I18n
  KF5::Completion
  KF5::CoreAddons
  KF5::Solid
  KF5::KIOCore
  KF5::KIOWidgets
  KF5::Notifications
  KF5::JobWidgets
  KF5::Wallet
  KF5::XmlGui
  KF5::DNSSD
  ${LIBSMBCLIENT_LIBRARIES})
    
#
# KI18N Translation Domain for library
#
add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")

install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})

if (SMB4K_WITH_WS_DISCOVERY)
  target_compile_definitions(smb4kcore PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
  target_link_libraries(smb4kcore KDSoap::WSDiscoveryClient)
endif(SMB4K_WITH_WS_DISCOVERY)


########### install files ###############

install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== smb4k/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

add_subdirectory(icons)

########### Configuration dialog #####################

set(smb4kconfigdialog_LIB_SRCS
  smb4kconfigdialog.cpp
  smb4kconfigpageauthentication.cpp
  smb4kconfigpagecustomoptions.cpp
  smb4kconfigpagemounting.cpp
  smb4kconfigpagenetwork.cpp
  smb4kconfigpageprofiles.cpp
  smb4kconfigpagesynchronization.cpp
  smb4kconfigpageuserinterface.cpp)
  
add_library(smb4kconfigdialog MODULE ${smb4kconfigdialog_LIB_SRCS})

target_link_libraries(smb4kconfigdialog
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  KF5::WidgetsAddons
  KF5::CoreAddons
  KF5::XmlGui
  KF5::IconThemes
  KF5::I18n
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::KIOCore
  KF5::KIOWidgets
  KF5::WindowSystem
  smb4kcore)
  
if (SMB4K_WITH_WS_DISCOVERY)
  target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
endif(SMB4K_WITH_WS_DISCOVERY)

########### Main Application #########################

set(smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4kmainwindow.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4knetworkbrowserdockwidget.cpp
  smb4knetworksearchtoolbar.cpp
  smb4ksharesmenu.cpp
  smb4ksharesview.cpp
  smb4ksharesviewitem.cpp
  smb4ksharesviewdockwidget.cpp
  smb4ksystemtray.cpp
  smb4ktooltip.cpp)
  
add_executable(smb4k ${smb4k_SRCS})

target_link_libraries(smb4k
  smb4kcore
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::DBusAddons
  KF5::XmlGui
  KF5::I18n
  KF5::IconThemes
  KF5::KIOCore
  KF5::ConfigWidgets
  KF5::Crash
  KF5::WindowSystem)

########### install files ###############

install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})

install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES smb4k_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== smb4k/icons/hicolor/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>

ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME hicolor   )

=== smb4k/icons/oxygen/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>

ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME oxygen   )

=== debian/changelog ===
smb4k (3.1.90-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Mar 2023 09:32:06 +0100

smb4k (3.1.84-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.7-1.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Feb 2023 08:18:01 +0100

smb4k (3.1.83-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.6-1.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 16:46:47 +0100

smb4k (3.1.82-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 12:36:59 +0100

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               gettext,
               extra-cmake-modules (>= 5.98.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               libkf5auth-dev (>= 5.98.0~),
               libkf5completion-dev (>= 5.98.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5configwidgets-dev (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5crash-dev (>= 5.98.0~),
               libkf5dbusaddons-dev (>= 5.98.0~),
               libkf5dnssd-dev (>= 5.98.0~),
               libkf5doctools-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5iconthemes-dev (>= 5.98.0~),
               libkf5jobwidgets-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5notifications-dev (>= 5.98.0~),
               libkf5plasma-dev (>= 5.98.0~),
               libkf5solid-dev (>= 5.98.0~),
               libkf5wallet-dev (>= 5.98.0~),
               libkf5widgetsaddons-dev (>= 5.98.0~),
               libkf5windowsystem-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               libsmbclient-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://smb4k.sourceforge.net/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Suggests: konsole, kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

## smb4k 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
 
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
-# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+#
+# Minimum required CMake version
+#
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+
 #
 # Project
 #
@@ -11,15 +16,10 @@
 # Version
 #
 set(VERSION_MAJOR 3)
-set(VERSION_MINOR 1)
-set(VERSION_PATCH 90)
+set(VERSION_MINOR 2)
+set(VERSION_PATCH 1)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-
-#
-# Minimum required CMake version
-#
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 #
 # CMake policies
@@ -37,7 +37,7 @@
 # set(KF5_MIN_VERSION "5.98.0")
 
 set(QT_MIN_VERSION "5.14.0")
-set(KF5_MIN_VERSION "5.80.0")
+set(KF5_MIN_VERSION "5.78.0")
 
 #
 # Options for building Smb4K

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -101,5 +101,9 @@
 ########### install files ###############
 
 install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+if (${ECM_VERSION} GREATER_EQUAL 5.89.0)
+  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
+else ()
+  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
+endif()

=== debian/changelog ===
smb4k (3.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:09:51 +0200

smb4k (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - lower the KF packages to 5.78.0

 -- Pino Toscano <pino@debian.org>  Sat, 15 Apr 2023 23:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,35 +7,35 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                gettext,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.78.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               libkf5auth-dev (>= 5.98.0~),
-               libkf5completion-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5configwidgets-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5crash-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5dnssd-dev (>= 5.98.0~),
-               libkf5doctools-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
-               libkf5jobwidgets-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5notifications-dev (>= 5.98.0~),
-               libkf5plasma-dev (>= 5.98.0~),
-               libkf5solid-dev (>= 5.98.0~),
-               libkf5wallet-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5windowsystem-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               libkf5auth-dev (>= 5.78.0~),
+               libkf5completion-dev (>= 5.78.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5configwidgets-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5crash-dev (>= 5.78.0~),
+               libkf5dbusaddons-dev (>= 5.78.0~),
+               libkf5dnssd-dev (>= 5.78.0~),
+               libkf5doctools-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5iconthemes-dev (>= 5.78.0~),
+               libkf5jobwidgets-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
+               libkf5notifications-dev (>= 5.78.0~),
+               libkf5plasma-dev (>= 5.78.0~),
+               libkf5solid-dev (>= 5.78.0~),
+               libkf5wallet-dev (>= 5.78.0~),
+               libkf5widgetsaddons-dev (>= 5.78.0~),
+               libkf5windowsystem-dev (>= 5.78.0~),
+               libkf5xmlgui-dev (>= 5.78.0~),
                libsmbclient-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
 Architecture: kfreebsd-any linux-any

## smb4k 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-specific freebsd-smbfs dependency

 -- Pino Toscano <pino@debian.org>  Sun, 30 Jul 2023 11:54:22 +0200

## smb4k 3.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 4)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
smb4k (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Oct 2023 05:35:26 +0200

smb4k (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Sep 2023 19:34:06 +0200

## smb4k 3.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 5)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== helpers/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
# SPDX-FileCopyrightText: 2010-2016 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core)

set(smb4kmounthelper_SRCS smb4kmounthelper.cpp)

add_executable(mounthelper ${smb4kmounthelper_SRCS})

target_link_libraries(mounthelper
  smb4kcore
  Qt5::Core
  ${AUTHLIB}
  KF5::CoreAddons
  KF5::I18n
  KF5::KIOCore)

install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)
kauth_install_actions(org.kde.smb4k.mounthelper smb4kmounthelper.actions)

=== plasmoid/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2016 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

project(smb4kqml)

add_subdirectory(plugin)

plasma_install_package(package org.kde.smb4kqml)

=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
 install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})
 
-install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 
 install(FILES smb4k_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
 install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plasmoid/plugin/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2012-2017 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core)
  
set(smb4kqmlplugin_LIB_SRC
  smb4kbookmarkobject.cpp
  smb4kdeclarative.cpp
  smb4kdeclarative_p.cpp
  smb4knetworkobject.cpp
  smb4kprofileobject.cpp
  smb4kqmlplugin.cpp)

add_library(smb4kqmlplugin SHARED ${smb4kqmlplugin_LIB_SRC})

target_link_libraries(smb4kqmlplugin
  Qt5::Core
  Qt5::Qml
  smb4kcore)

install(TARGETS smb4kqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)

=== debian/changelog ===
smb4k (3.2.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:35 +1100

smb4k (3.2.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:08:28 +0000

smb4k (3.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 10:29:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: smb4k
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -38,8 +39,8 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
 
 Package: smb4k
-Architecture: kfreebsd-any linux-any
-Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
+Architecture: linux-any
+Depends: cifs-utils (>= 2:4.1) [linux-any],
          samba-common-bin (>= 2:3.4.7~dfsg),
          smbclient (>= 2:3.4.7~dfsg),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DSMB4K_INSTALL_PLASMOID=false

execute_after_dh_auto_install:
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_org.kde.smb4kqml.mo
	# at the end, remove empty directories
	find debian/smb4k -type d -empty -delete

## smb4k 3.2.70

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

#
# Minimum required CMake version
#
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# Version
#
set(VERSION_MAJOR 3)
set(VERSION_MINOR 2)
set(VERSION_PATCH 70)

set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

#
# Project
#
project(smb4k)

#
# CMake policies
#
cmake_policy(SET CMP0037 NEW)

if (POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

#
# Minimum required versions of Qt and Frameworks
#
set(QT_MIN_VERSION "5.15.8")
set(KF5_MIN_VERSION "5.103.0")

#
# Options for building Smb4K
#
# Install plasmoid
option(SMB4K_INSTALL_PLASMOID "Install the plasmoid" ON)

# Build with KDSoap WS Discovery client
option(SMB4K_WITH_WS_DISCOVERY "Build with WS-Discovery support for browsing" OFF)

# Compile definitions
# Error out when deprecated functions (in Qt <= 6.0.0) are encountered
add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x060000)

#
# Required packages and includes
#
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(CheckSymbolExists)
include(KDEClangFormat)

#
# Version
# 
ecm_setup_version(${VERSION} VARIABLE_PREFIX SMB4K VERSION_HEADER smb4k_version.h)

#
# Source code formatting
# 
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

# Qt modules
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE REQUIRED COMPONENTS
  Core
  Gui
  Network
  PrintSupport
  Qml
  Widgets
)

# Frameworks modules
find_package(KF${QT_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
  Auth
  Completion
  Config
  ConfigWidgets
  CoreAddons
  Crash
  DBusAddons
  DNSSD
  DocTools
  I18n
  IconThemes
  JobWidgets
  KIO
  Notifications
  Solid
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
endif()

# Install the plasmoid if desired
if (SMB4K_INSTALL_PLASMOID)
  if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Plasma)
    set_package_properties(Plasma PROPERTIES TYPE RUNTIME)
  else()
    find_package(KF5 COMPONENTS Plasma)
    set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
  endif()
endif()

# Find libsmbclient.h
find_package(Libsmbclient REQUIRED MODULE)

# Check that the required smbc_* functions are provided
set(CMAKE_REQUIRED_LIBRARIES ${LIBSMBCLIENT_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${LIBSMBCLIENT_INCLUDE_DIRS})
check_symbol_exists(smbc_setOptionProtocols libsmbclient.h HAVE_SMBC_PROTOCOL)

if (NOT HAVE_SMBC_PROTOCOL)
  message(FATAL_ERROR "The function smbc_setOptionProtocols() is missing in Samba's client library's header file.")
endif()

# Find KDSoap client
if (SMB4K_WITH_WS_DISCOVERY)
    if (QT_MAJOR_VERSION EQUAL "6")
      set(KDSOAP_PACKAGE KDSoap-qt6)
      set(KDSOAP_VERSION 2.0.0)
    else ()
      set(KDSOAP_PACKAGE KDSoap)
      set(KDSOAP_VERSION 1.9.0)
    endif ()
    message(STATUS "Building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=OFF to disable)")
    find_package(${KDSOAP_PACKAGE} ${KDSOAP_VERSION} REQUIRED)
    find_package(KDSoapWSDiscoveryClient 0.2 REQUIRED)
elseif(NOT SMB4K_WITH_WS_DISCOVERY)
    message(STATUS "Not building with WS-Discovery support (-DSMB4K_WITH_WS_DISCOVERY=ON to enable)")
endif(SMB4K_WITH_WS_DISCOVERY)

#
# Make sure that Smb4K builds when several custom targets
# with the same name exist (happens in the po directory).
#
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)

#
# Add subdirectories
#
add_subdirectory(core)
add_subdirectory(helpers)
add_subdirectory(smb4k)
add_subdirectory(doc)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ki18n_install(po)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif(KF5DocTools_FOUND)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

#
# Make adjustments according to the options set by the user
#
# Plasmoid: Notify the user and add the subdirectory if desired
if (SMB4K_INSTALL_PLASMOID)
  message(STATUS "Installing plasmoid (-DSMB4K_INSTALL_PLASMOID=OFF to disable)")
  add_subdirectory(plasmoid)
elseif(NOT SMB4K_INSTALL_PLASMOID)
  message(STATUS "Not installing plasmoid (-DSMB4K_INSTALL_PLASMOID=ON to enable)")
endif(SMB4K_INSTALL_PLASMOID)

########### install files ###############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: BSD-2-Clause
-# SPDX-FileCopyrightText: 2009-2022 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 #
 # KDSoap WS Discovery client uses 'signals' and 'slots'
 # 
@@ -18,30 +18,23 @@
   smb4kbasicnetworkitem.cpp
   smb4kbookmark.cpp
   smb4kbookmarkhandler.cpp
-  smb4kbookmarkhandler_p.cpp
   smb4kclient.cpp
   smb4kclient_p.cpp
-  smb4kcustomoptions.cpp
-  smb4kcustomoptionsmanager.cpp
-  smb4kcustomoptionsmanager_p.cpp
+  smb4kcustomsettings.cpp
+  smb4kcustomsettingsmanager.cpp
   smb4kfile.cpp
   smb4kglobal.cpp
   smb4kglobal_p.cpp
   smb4khardwareinterface.cpp
-  smb4khardwareinterface_p.cpp
   smb4khomesshareshandler.cpp
-  smb4khomesshareshandler_p.cpp
   smb4khost.cpp
   smb4kmounter.cpp 
-  smb4kmounter_p.cpp
   smb4knotification.cpp
   smb4kprofilemanager.cpp
-  smb4kprofilemanager_p.cpp
   smb4kshare.cpp
   smb4ksynchronizer.cpp
   smb4ksynchronizer_p.cpp
   smb4kwalletmanager.cpp
-  smb4kwalletmanager_p.cpp
   smb4kworkgroup.cpp)
 
 if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -62,27 +55,23 @@
 add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})
 
 target_link_libraries(smb4kcore
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Gui
-  Qt5::PrintSupport
-  Qt5::Network
-  Qt5::Qml
-  KF5::ConfigCore
-  KF5::ConfigGui
-  KF5::AuthCore
-  KF5::IconThemes
-  KF5::I18n
-  KF5::Completion
-  KF5::CoreAddons
-  KF5::Solid
-  KF5::KIOCore
-  KF5::KIOWidgets
-  KF5::Notifications
-  KF5::JobWidgets
-  KF5::Wallet
-  KF5::XmlGui
-  KF5::DNSSD
+  Qt${QT_MAJOR_VERSION}::Core
+  Qt${QT_MAJOR_VERSION}::Widgets
+  Qt${QT_MAJOR_VERSION}::PrintSupport
+  Qt${QT_MAJOR_VERSION}::Network
+  KF${QT_MAJOR_VERSION}::ConfigCore
+  KF${QT_MAJOR_VERSION}::ConfigGui
+  KF${QT_MAJOR_VERSION}::AuthCore
+  KF${QT_MAJOR_VERSION}::IconThemes
+  KF${QT_MAJOR_VERSION}::I18n
+  KF${QT_MAJOR_VERSION}::CoreAddons
+  KF${QT_MAJOR_VERSION}::Solid
+  KF${QT_MAJOR_VERSION}::KIOCore
+  KF${QT_MAJOR_VERSION}::KIOWidgets
+  KF${QT_MAJOR_VERSION}::Notifications
+  KF${QT_MAJOR_VERSION}::JobWidgets
+  KF${QT_MAJOR_VERSION}::Wallet
+  KF${QT_MAJOR_VERSION}::DNSSD
   ${LIBSMBCLIENT_LIBRARIES})
     
 #
@@ -101,9 +90,5 @@
 ########### install files ###############
 
 install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-if (${ECM_VERSION} GREATER_EQUAL 5.89.0)
-  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
-else ()
-  install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
-endif()
+install(FILES smb4k.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== helpers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
-# SPDX-FileCopyrightText: 2010-2016 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2010-2013 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -14,11 +14,11 @@
 
 target_link_libraries(mounthelper
   smb4kcore
-  Qt5::Core
+  Qt${QT_MAJOR_VERSION}::Core
   ${AUTHLIB}
-  KF5::CoreAddons
-  KF5::I18n
-  KF5::KIOCore)
+  KF${QT_MAJOR_VERSION}::CoreAddons
+  KF${QT_MAJOR_VERSION}::I18n
+  KF${QT_MAJOR_VERSION}::KIOCore)
 
 install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== plasmoid/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2016-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

project(smb4kqml)

add_subdirectory(plugin)

if (QT_MAJOR_VERSION STREQUAL "6")
  plasma_install_package(package6 org.kde.smb4kqml)
else()
  plasma_install_package(package5 org.kde.smb4kqml)
endif()

=== smb4k/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2009-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

add_subdirectory(icons)

########### Configuration dialog #####################

set(smb4kconfigdialog_LIB_SRCS
  smb4kconfigdialog.cpp
  smb4kconfigpageauthentication.cpp
  smb4kconfigpagebookmarks.cpp
  smb4kconfigpagecustomsettings.cpp
  smb4kconfigpagemounting.cpp
  smb4kconfigpagenetwork.cpp
  smb4kconfigpageprofiles.cpp
  smb4kconfigpagesynchronization.cpp
  smb4kconfigpageuserinterface.cpp
  smb4kcustomsettingseditorwidget.cpp)
  
add_library(smb4kconfigdialog MODULE ${smb4kconfigdialog_LIB_SRCS})

target_link_libraries(smb4kconfigdialog
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Widgets
  Qt${QT_MAJOR_VERSION}::Gui
  KF${QT_MAJOR_VERSION}::WidgetsAddons
  KF${QT_MAJOR_VERSION}::CoreAddons
  KF${QT_MAJOR_VERSION}::XmlGui
  KF${QT_MAJOR_VERSION}::IconThemes
  KF${QT_MAJOR_VERSION}::I18n
  KF${QT_MAJOR_VERSION}::ConfigCore
  KF${QT_MAJOR_VERSION}::ConfigGui
  KF${QT_MAJOR_VERSION}::KIOCore
  KF${QT_MAJOR_VERSION}::KIOWidgets
  KF${QT_MAJOR_VERSION}::WindowSystem
  smb4kcore)
  
if (SMB4K_WITH_WS_DISCOVERY)
  target_compile_definitions(smb4kconfigdialog PRIVATE USE_WS_DISCOVERY=${SMB4K_WITH_WS_DISCOVERY})
endif(SMB4K_WITH_WS_DISCOVERY)

########### Dialogs ################################

set(smb4kdialogs_LIB_SRCS
  smb4kbookmarkdialog.cpp
  smb4kbookmarkeditor.cpp
  smb4kconfigpagebookmarks.cpp
  smb4kcustomsettingseditor.cpp
  smb4kcustomsettingseditorwidget.cpp
  smb4khomesuserdialog.cpp
  smb4kmountdialog.cpp
  smb4kpassworddialog.cpp
  smb4kpreviewdialog.cpp
  smb4kprintdialog.cpp
  smb4ksynchronizationdialog.cpp)

add_library(smb4kdialogs SHARED ${smb4kdialogs_LIB_SRCS})

target_link_libraries(smb4kdialogs
  smb4kcore
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Widgets
  KF${QT_MAJOR_VERSION}::Completion
  KF${QT_MAJOR_VERSION}::ConfigGui
  KF${QT_MAJOR_VERSION}::CoreAddons
  KF${QT_MAJOR_VERSION}::I18n
  KF${QT_MAJOR_VERSION}::IconThemes)

########### Main Application #########################

set(smb4k_SRCS
  main.cpp
  smb4k.qrc
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4kmainwindow.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4knetworkbrowserdockwidget.cpp
  smb4knetworksearchtoolbar.cpp
  smb4ksharesmenu.cpp
  smb4ksharesview.cpp
  smb4ksharesviewitem.cpp
  smb4ksharesviewdockwidget.cpp
  smb4ksystemtray.cpp
  smb4ktooltip.cpp)
  
add_executable(smb4k ${smb4k_SRCS})

target_link_libraries(smb4k
  smb4kcore
  smb4kdialogs
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Gui
  Qt${QT_MAJOR_VERSION}::Widgets
  KF${QT_MAJOR_VERSION}::CoreAddons
  KF${QT_MAJOR_VERSION}::WidgetsAddons
  KF${QT_MAJOR_VERSION}::DBusAddons
  KF${QT_MAJOR_VERSION}::XmlGui
  KF${QT_MAJOR_VERSION}::I18n
  KF${QT_MAJOR_VERSION}::IconThemes
  KF${QT_MAJOR_VERSION}::KIOCore
  KF${QT_MAJOR_VERSION}::ConfigWidgets
  KF${QT_MAJOR_VERSION}::Crash
  KF${QT_MAJOR_VERSION}::WindowSystem)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(smb4k KF6::StatusNotifierItem)
endif()

########### install files ###############

install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4kdialogs DESTINATION ${KDE_INSTALL_LIBDIR})
install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})

install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plasmoid/plugin/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2012-2023 Alexander Reinholdt <alexander.reinholdt@kdemail.net>

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/smb4k
  ${CMAKE_BINARY_DIR}/smb4k)
  
set(smb4kqmlplugin_LIB_SRC
  smb4kbookmarkobject.cpp
  smb4kdeclarative.cpp
  smb4knetworkobject.cpp
  smb4kprofileobject.cpp
  smb4kqmlplugin.cpp)

add_library(smb4kqmlplugin SHARED ${smb4kqmlplugin_LIB_SRC})

target_link_libraries(smb4kqmlplugin
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Qml
  KF${QT_MAJOR_VERSION}::XmlGui
  smb4kcore
  smb4kdialogs)

install(TARGETS smb4kqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/smb4k/smb4kqmlplugin)

=== debian/changelog ===
smb4k (3.2.70-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.8
    - bump the KF packages to 5.103.0
    - drop libkf5plasma-dev, as smb4k is currently built without the Plasma
      widget
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Apr 2024 11:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,40 @@
 Source: smb4k
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                gettext,
-               extra-cmake-modules (>= 5.78.0~),
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
-               libkf5auth-dev (>= 5.78.0~),
-               libkf5completion-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5configwidgets-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5crash-dev (>= 5.78.0~),
-               libkf5dbusaddons-dev (>= 5.78.0~),
-               libkf5dnssd-dev (>= 5.78.0~),
-               libkf5doctools-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
-               libkf5jobwidgets-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5notifications-dev (>= 5.78.0~),
-               libkf5plasma-dev (>= 5.78.0~),
-               libkf5solid-dev (>= 5.78.0~),
-               libkf5wallet-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
-               libkf5windowsystem-dev (>= 5.78.0~),
-               libkf5xmlgui-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               qtbase5-dev (>= 5.15.8~),
+               qtdeclarative5-dev (>= 5.15.8~),
+               libkf5auth-dev (>= 5.103.0~),
+               libkf5completion-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5configwidgets-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5crash-dev (>= 5.103.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5dnssd-dev (>= 5.103.0~),
+               libkf5doctools-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
+               libkf5iconthemes-dev (>= 5.103.0~),
+               libkf5jobwidgets-dev (>= 5.103.0~),
+               libkf5kio-dev (>= 5.103.0~),
+               libkf5notifications-dev (>= 5.103.0~),
+               libkf5solid-dev (>= 5.103.0~),
+               libkf5wallet-dev (>= 5.103.0~),
+               libkf5widgetsaddons-dev (>= 5.103.0~),
+               libkf5windowsystem-dev (>= 5.103.0~),
+               libkf5xmlgui-dev (>= 5.103.0~),
                libsmbclient-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k/-/tree/experimental
 
 Package: smb4k
 Architecture: linux-any
